## ERuleEditor

ERuleEditor

## Functions

ERuleEditor * | e_rule_editor_new ()
void | e_rule_editor_construct ()
void | e_rule_editor_set_source ()
void | e_rule_editor_set_sensitive ()
EFilterRule * | e_rule_editor_create_rule ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ERuleEditor

## Description

## Functions

### e_rule_editor_new ()

    ERuleEditor *
    e_rule_editor_new (ERuleContext *context,
                       const gchar *source,
                       const gchar *label);

### e_rule_editor_construct ()

    void
    e_rule_editor_construct (ERuleEditor *editor,
                             ERuleContext *context,
                             GtkBuilder *builder,
                             const gchar *source,
                             const gchar *label);

### e_rule_editor_set_source ()

    void
    e_rule_editor_set_source (ERuleEditor *editor,
                              const gchar *source);

### e_rule_editor_set_sensitive ()

    void
    e_rule_editor_set_sensitive (ERuleEditor *editor);

### e_rule_editor_create_rule ()

    EFilterRule *
    e_rule_editor_create_rule (ERuleEditor *editor);